Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 235507 - The IDE should offer to add a cloned repository to Favorites
The IDE should offer to add a cloned repository to Favorites
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
7.4
All All
: P3 (vote)
: 8.0
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 14:14 UTC by Petr Jiricka
Modified: 2013-09-06 01:37 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2013-09-04 14:14:47 UTC
1. Clone a repository that does not contain a project recognized by NetBeans using the IDE, e.g. this one: https://github.com/karma-runner/karma.git
2. After the clone completes, the IDE displays a dialog titled "Clone Completed": "Do you want to create an IDE project from the cloned sources? [Create Project/Close]"

It would be useful if this dialog (by default) offered to add the cloned repository to Favorites. If the user selects this option, Favorites window would be opened and the project would be selected.
Comment 1 Ondrej Vrabec 2013-09-04 14:39:17 UTC
i guess we could do that
Comment 2 Ondrej Vrabec 2013-09-05 13:24:54 UTC
fix: http://hg.netbeans.org/core-main/rev/794670976a9e
Comment 3 Quality Engineering 2013-09-06 01:37:22 UTC
Integrated into 'main-silver', will be available in build *201309060001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/794670976a9e
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #235507 - The IDE should offer to add a cloned repository to Favorites


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo